<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project default="create_run_jar" name="Create Runnable Jar for Project smart-gs">
    <!--this file was created by Eclipse Runnable JAR Export Wizard-->
    <!--ANT 1.7 is required                                        -->
    <target depends="build" name="create_run_jar">
        <jar destfile="./smart-gs.jar" filesetmanifest="mergewithoutmain">
            <manifest>
                <attribute name="Main-Class" value="smart_gs.SmartGS"/>
                <attribute name="Class-Path" value="."/>
            </manifest>
            <fileset dir="./bin"/>
            <zipfileset excludes="META-INF/*.SF" src="./lib/commons-codec-1.5.jar"/>
            <zipfileset excludes="META-INF/*.SF" src="./lib/commons-httpclient-3.1.jar"/>
            <zipfileset excludes="META-INF/*.SF" src="./lib/commons-lang-2.6.jar"/>
            <zipfileset excludes="META-INF/*.SF" src="./lib/commons-logging-1.1.1.jar"/>
            <zipfileset excludes="META-INF/*.SF" src="./lib/commons-io-2.0.1.jar"></zipfileset>
            <zipfileset excludes="META-INF/*.SF" src="./lib/jdom-1.1.1.jar"/>
            <zipfileset excludes="META-INF/*.SF" src="./lib/webdavclient4j-core-0.92.jar"/>
        </jar>
    </target>
    <property environment="env"/>
    <property name="debuglevel" value="source,lines,vars"/>
    <property name="target" value="1.6"/>
    <property name="source" value="1.6"/>
    <path id="smart-gs.classpath">
        <pathelement location="./bin"/>
        <pathelement location="./lib/commons-codec-1.5.jar"/>
        <pathelement location="./lib/commons-httpclient-3.1.jar"/>
        <pathelement location="./lib/commons-lang-2.6.jar"/>
        <pathelement location="./lib/commons-logging-1.1.1.jar"/>
        <pathelement location="./lib/jdom-1.1.jar"/>
        <pathelement location="./lib/commons-io-2.0.1.jar"/>
        <pathelement location="./lib/webdavclient4j-core-0.92.jar"/>
    </path>
    <target name="init">
        <mkdir dir="bin"/>
        <copy includeemptydirs="false" todir="bin">
            <fileset dir="src">
                <exclude name="**/*.launch"/>
                <exclude name="**/*.java"/>
            </fileset>
        </copy>
    </target>
    <target name="clean">
        <delete dir="bin"/>
    </target>
    <target depends="clean" name="cleanall"/>
    <target depends="build-subprojects,build-project" name="build"/>
    <target name="build-subprojects"/>
    <target depends="init" name="build-project">
        <echo message="${ant.project.name}: ${ant.file}"/>
        <javac debug="true" debuglevel="${debuglevel}" destdir="bin" source="${source}" target="${target}">
            <src path="src"/>
            <classpath refid="smart-gs.classpath"/>
        </javac>
    </target>
    <target description="Build all projects which reference this project. Useful to propagate changes." name="build-refprojects"/>
    <target name="smart-gs">
        <java classname="smart_gs.SmartGS" failonerror="true" fork="yes">
            <classpath refid="smart-gs.classpath"/>
        </java>
    </target>
</project>
